package com.sunyard.chsm.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunyard.chsm.model.entity.Device;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author liulu
 * @since 2024/10/17
 */
@Mapper
public interface SpDeviceMapper extends BaseMapper<Device> {

    default List<Device> selectConnedList() {
        return selectList(
                new LambdaQueryWrapper<Device>()
                        .eq(Device::getConnected, true)
        );
    }


}
